package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * CustomerInfoOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class CustomerInfoOpenApiVo   {
  @JsonProperty("customerName")
  private String customerName;

  @JsonProperty("customerId")
  private String customerId;

  @JsonProperty("description")
  private String description;

  public CustomerInfoOpenApiVo customerName(String customerName) {
    this.customerName = customerName;
    return this;
  }

  /**
   * Customer name
   * @return customerName
  */
  @ApiModelProperty(value = "Customer name")


  public String getCustomerName() {
    return customerName;
  }

  public void setCustomerName(String customerName) {
    this.customerName = customerName;
  }

  public CustomerInfoOpenApiVo customerId(String customerId) {
    this.customerId = customerId;
    return this;
  }

  /**
   * Customer ID
   * @return customerId
  */
  @ApiModelProperty(value = "Customer ID")


  public String getCustomerId() {
    return customerId;
  }

  public void setCustomerId(String customerId) {
    this.customerId = customerId;
  }

  public CustomerInfoOpenApiVo description(String description) {
    this.description = description;
    return this;
  }

  /**
   * Customer description
   * @return description
  */
  @ApiModelProperty(value = "Customer description")


  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CustomerInfoOpenApiVo customerInfoOpenApiVo = (CustomerInfoOpenApiVo) o;
    return Objects.equals(this.customerName, customerInfoOpenApiVo.customerName) &&
        Objects.equals(this.customerId, customerInfoOpenApiVo.customerId) &&
        Objects.equals(this.description, customerInfoOpenApiVo.description);
  }

  @Override
  public int hashCode() {
    return Objects.hash(customerName, customerId, description);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CustomerInfoOpenApiVo {\n");
    
    sb.append("    customerName: ").append(toIndentedString(customerName)).append("\n");
    sb.append("    customerId: ").append(toIndentedString(customerId)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

